Skip to navigation

Create an Alert Comment

POST Alert Comments

POST /alerts/{alertId}/comments endpoint is used to create a comment for an alert. To attach files in the comment upload the file first using the POST /pre-signed-url endpoint and then use the returned key to attach the file in the comment with the filename and size.`

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

alertIdstringRequired
Unique Alert Identifier

Request

This endpoint expects an object.
bodystringRequired>=1 character
Comment body
fileslist of objectsOptional
createdTimestampdoubleOptional
Timestamp when comment is created

Response

Created
commentIdstring
Unique comment ID
bodystring
Comment body
fileslist of objectsOptional
createdTimestampdoubleOptional
Timestamp when comment is created
updatedTimestampdoubleOptional
Timestamp when comment is updated